#! /usr/bin/env python 
#name=Dialog Raw example (Python)
#desc=Dialog Raw example

import sys
import time
import math
import random
import planetcnc
import gcode

#sys.path.append(planetcnc.getPathProfile("Python"))
		
def Run():

	dlg = planetcnc.dlgRawNew("Dialog Raw example", 0, 0, True, True) 
	if (dlg == 0):
		print("Can not create dialog")
		return None
	
	x = -32768
	y = -32768
	w = 0
	h = 0
	col = 0
	planetcnc.dlgRawAddImage(dlg, "^/PlanetCNC.png", x, y, w, h)
	planetcnc.dlgRawAddLabel(dlg, "My Label", x, y, w, h, 0xff0000) 
	planetcnc.dlgRawAddCheckbox(dlg, "Animal|Bear~|Birds, Bees~|Aligator~|Ox~|Hummingbird~|Rattlesnake~", "myanimal", 0, x, y, w, h, col)
	planetcnc.dlgRawAddInput(dlg, 'My Value 1', 'first', 0, -100, +100, 1, x, y, w, h, col);
	planetcnc.dlgRawAddInput(dlg, 'My Value 2', 'second', 0, -100, +100, 1, x, y, w, h, col);
	planetcnc.dlgRawAddInput(dlg, 'My Value 3', 'third', 0, -100, +100, 1, x, y, w, h, col);	
		
	if (not planetcnc.dlgRawShow(dlg)):
		planetcnc.dlgRawClose(dlg)
		return None
	
	result = planetcnc.dlgRawGetValues(dlg)
	planetcnc.print(str(result))
	
	planetcnc.print("myanimal: ", result["myanimal"])
	planetcnc.print("first: ", result["first"])
	planetcnc.print("second: ", result["second"])
	planetcnc.print("third: ", result["third"])
	
	planetcnc.print("value 0: ", planetcnc.dlgRawGetValue(dlg, 0))
	planetcnc.print("value 1: ", planetcnc.dlgRawGetValue(dlg, 1))
	planetcnc.print("value 2: ", planetcnc.dlgRawGetValue(dlg, 2))
	planetcnc.print("value 3: ", planetcnc.dlgRawGetValue(dlg, 3))
	planetcnc.print("value 4: ", planetcnc.dlgRawGetValue(dlg, 4))
	planetcnc.print("value 5: ", planetcnc.dlgRawGetValue(dlg, 5))
	
	planetcnc.dlgRawClose(dlg)
	
	
if __name__ == '__main__':
	Run()

